diff --git a/guava/src/com/google/common/base/Objects.java b/guava/src/com/google/common/base/Objects.java
index bd6b0d9..89c0641 100644
--- a/guava/src/com/google/common/base/Objects.java
+++ b/guava/src/com/google/common/base/Objects.java
@@ -14,10 +14,8 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Arrays;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Helper functions that can operate on any {@code Object}.
@@ -29,7 +27,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Laurence Gonsalves
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class Objects extends ExtraObjectsMethodsForWeb {
   private Objects() {}
diff --git a/guava/src/com/google/common/base/Optional.java b/guava/src/com/google/common/base/Optional.java
index b47705e..3384d1c 100644
--- a/guava/src/com/google/common/base/Optional.java
+++ b/guava/src/com/google/common/base/Optional.java
@@ -16,9 +16,6 @@ package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.DoNotMock;
 import java.io.Serializable;
 import java.util.Iterator;
 import java.util.Set;
@@ -80,8 +77,6 @@ import javax.annotation.CheckForNull;
  * @author Kevin Bourrillion
  * @since 10.0
  */
-@DoNotMock("Use Optional.of(value) or Optional.absent()")
-@GwtCompatible(serializable = true)
 @ElementTypesAreNonnullByDefault
 public abstract class Optional<T> implements Serializable {
   /**
@@ -239,7 +234,6 @@ public abstract class Optional<T> implements Serializable {
    * @throws NullPointerException if this optional's value is absent and the supplier returns {@code
    *     null}
    */
-  @Beta
   public abstract T or(Supplier<? extends T> supplier);
 
   /**
@@ -331,7 +325,6 @@ public abstract class Optional<T> implements Serializable {
    *
    * @since 11.0 (generics widened in 13.0)
    */
-  @Beta
   public static <T> Iterable<T> presentInstances(
       final Iterable<? extends Optional<? extends T>> optionals) {
     checkNotNull(optionals);
diff --git a/guava/src/com/google/common/base/PairwiseEquivalence.java b/guava/src/com/google/common/base/PairwiseEquivalence.java
index 74be27f..bf6b3d8 100644
--- a/guava/src/com/google/common/base/PairwiseEquivalence.java
+++ b/guava/src/com/google/common/base/PairwiseEquivalence.java
@@ -14,15 +14,12 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
 import java.io.Serializable;
 import java.util.Iterator;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
-@GwtCompatible(serializable = true)
 @ElementTypesAreNonnullByDefault
-final class PairwiseEquivalence<E, T extends @Nullable E> extends Equivalence<Iterable<T>>
+final class PairwiseEquivalence<E, T extends E> extends Equivalence<Iterable<T>>
     implements Serializable {
   final Equivalence<E> elementEquivalence;
 
diff --git a/guava/src/com/google/common/base/ParametricNullness.java b/guava/src/com/google/common/base/ParametricNullness.java
index c736055..e147531 100644
--- a/guava/src/com/google/common/base/ParametricNullness.java
+++ b/guava/src/com/google/common/base/ParametricNullness.java
@@ -22,7 +22,6 @@ import static java.lang.annotation.ElementType.PARAMETER;
 import static java.lang.annotation.RetentionPolicy.RUNTIME;
 import static javax.annotation.meta.When.UNKNOWN;
 
-import com.google.common.annotations.GwtCompatible;
 import java.lang.annotation.Retention;
 import java.lang.annotation.Target;
 import javax.annotation.Nonnull;
@@ -35,7 +34,6 @@ import javax.annotation.meta.TypeQualifierNickname;
  * href="https://android.googlesource.com/platform/libcore/+/master/luni/src/main/java/libcore/util/NullFromTypeParam.java">{@code
  * NullFromTypeParam}</a>). We use this to "undo" {@link ElementTypesAreNonnullByDefault}.
  */
-@GwtCompatible
 @Retention(RUNTIME)
 @Target({FIELD, METHOD, PARAMETER})
 @TypeQualifierNickname
diff --git a/guava/src/com/google/common/base/PatternCompiler.java b/guava/src/com/google/common/base/PatternCompiler.java
index 72a45fa..11e6e86 100644
--- a/guava/src/com/google/common/base/PatternCompiler.java
+++ b/guava/src/com/google/common/base/PatternCompiler.java
@@ -14,14 +14,12 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtIncompatible;
 
 /**
  * Pluggable interface for compiling a regex pattern. By default this package uses the {@code
  * java.util.regex} library, but an alternate implementation can be supplied using the {@link
  * java.util.ServiceLoader} mechanism.
  */
-@GwtIncompatible
 @ElementTypesAreNonnullByDefault
 interface PatternCompiler {
   /**
diff --git a/guava/src/com/google/common/base/Platform.java b/guava/src/com/google/common/base/Platform.java
index 644e89c..65b076d 100644
--- a/guava/src/com/google/common/base/Platform.java
+++ b/guava/src/com/google/common/base/Platform.java
@@ -14,8 +14,6 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import java.lang.ref.WeakReference;
 import java.util.Locale;
 import java.util.ServiceConfigurationError;
 import java.util.logging.Level;
@@ -28,7 +26,6 @@ import javax.annotation.CheckForNull;
  *
  * @author Jesse Wilson
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 final class Platform {
   private static final Logger logger = Logger.getLogger(Platform.class.getName());
diff --git a/guava/src/com/google/common/base/Preconditions.java b/guava/src/com/google/common/base/Preconditions.java
index 13ff77b..86c8190 100644
--- a/guava/src/com/google/common/base/Preconditions.java
+++ b/guava/src/com/google/common/base/Preconditions.java
@@ -16,10 +16,7 @@ package com.google.common.base;
 
 import static com.google.common.base.Strings.lenientFormat;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Static convenience methods that help a method or constructor check whether it was invoked
@@ -113,7 +110,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @since 2.0
  */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 public final class Preconditions {
   private Preconditions() {}
@@ -883,7 +879,6 @@ public final class Preconditions {
    * @throws NullPointerException if {@code reference} is null
    * @see Verify#verifyNotNull Verify.verifyNotNull()
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(@CheckForNull T reference) {
     if (reference == null) {
       throw new NullPointerException();
@@ -901,7 +896,6 @@ public final class Preconditions {
    * @throws NullPointerException if {@code reference} is null
    * @see Verify#verifyNotNull Verify.verifyNotNull()
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(@CheckForNull T reference, @CheckForNull Object errorMessage) {
     if (reference == null) {
       throw new NullPointerException(String.valueOf(errorMessage));
@@ -924,7 +918,6 @@ public final class Preconditions {
    * @throws NullPointerException if {@code reference} is null
    * @see Verify#verifyNotNull Verify.verifyNotNull()
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T reference,
       String errorMessageTemplate,
@@ -942,7 +935,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(@CheckForNull T obj, String errorMessageTemplate, char p1) {
     if (obj == null) {
       throw new NullPointerException(lenientFormat(errorMessageTemplate, p1));
@@ -957,7 +949,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(@CheckForNull T obj, String errorMessageTemplate, int p1) {
     if (obj == null) {
       throw new NullPointerException(lenientFormat(errorMessageTemplate, p1));
@@ -972,7 +963,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(@CheckForNull T obj, String errorMessageTemplate, long p1) {
     if (obj == null) {
       throw new NullPointerException(lenientFormat(errorMessageTemplate, p1));
@@ -987,7 +977,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, @CheckForNull Object p1) {
     if (obj == null) {
@@ -1003,7 +992,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, char p1, char p2) {
     if (obj == null) {
@@ -1019,7 +1007,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, char p1, int p2) {
     if (obj == null) {
@@ -1035,7 +1022,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, char p1, long p2) {
     if (obj == null) {
@@ -1051,7 +1037,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, char p1, @CheckForNull Object p2) {
     if (obj == null) {
@@ -1067,7 +1052,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, int p1, char p2) {
     if (obj == null) {
@@ -1083,7 +1067,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, int p1, int p2) {
     if (obj == null) {
@@ -1099,7 +1082,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, int p1, long p2) {
     if (obj == null) {
@@ -1115,7 +1097,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, int p1, @CheckForNull Object p2) {
     if (obj == null) {
@@ -1131,7 +1112,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, long p1, char p2) {
     if (obj == null) {
@@ -1147,7 +1127,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, long p1, int p2) {
     if (obj == null) {
@@ -1163,7 +1142,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, long p1, long p2) {
     if (obj == null) {
@@ -1179,7 +1157,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, long p1, @CheckForNull Object p2) {
     if (obj == null) {
@@ -1195,7 +1172,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, @CheckForNull Object p1, char p2) {
     if (obj == null) {
@@ -1211,7 +1187,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, @CheckForNull Object p1, int p2) {
     if (obj == null) {
@@ -1227,7 +1202,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj, String errorMessageTemplate, @CheckForNull Object p1, long p2) {
     if (obj == null) {
@@ -1243,7 +1217,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj,
       String errorMessageTemplate,
@@ -1262,7 +1235,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj,
       String errorMessageTemplate,
@@ -1282,7 +1254,6 @@ public final class Preconditions {
    *
    * @since 20.0 (varargs overload since 2.0)
    */
-  @CanIgnoreReturnValue
   public static <T> T checkNotNull(
       @CheckForNull T obj,
       String errorMessageTemplate,
@@ -1332,7 +1303,6 @@ public final class Preconditions {
    * @throws IndexOutOfBoundsException if {@code index} is negative or is not less than {@code size}
    * @throws IllegalArgumentException if {@code size} is negative
    */
-  @CanIgnoreReturnValue
   public static int checkElementIndex(int index, int size) {
     return checkElementIndex(index, size, "index");
   }
@@ -1348,7 +1318,6 @@ public final class Preconditions {
    * @throws IndexOutOfBoundsException if {@code index} is negative or is not less than {@code size}
    * @throws IllegalArgumentException if {@code size} is negative
    */
-  @CanIgnoreReturnValue
   public static int checkElementIndex(int index, int size, String desc) {
     // Carefully optimized for execution by hotspot (explanatory comment above)
     if (index < 0 || index >= size) {
@@ -1377,7 +1346,6 @@ public final class Preconditions {
    * @throws IndexOutOfBoundsException if {@code index} is negative or is greater than {@code size}
    * @throws IllegalArgumentException if {@code size} is negative
    */
-  @CanIgnoreReturnValue
   public static int checkPositionIndex(int index, int size) {
     return checkPositionIndex(index, size, "index");
   }
@@ -1393,7 +1361,6 @@ public final class Preconditions {
    * @throws IndexOutOfBoundsException if {@code index} is negative or is greater than {@code size}
    * @throws IllegalArgumentException if {@code size} is negative
    */
-  @CanIgnoreReturnValue
   public static int checkPositionIndex(int index, int size, String desc) {
     // Carefully optimized for execution by hotspot (explanatory comment above)
     if (index < 0 || index > size) {
diff --git a/guava/src/com/google/common/base/Predicate.java b/guava/src/com/google/common/base/Predicate.java
index 4384ed0..e2d3d18 100644
--- a/guava/src/com/google/common/base/Predicate.java
+++ b/guava/src/com/google/common/base/Predicate.java
@@ -14,10 +14,7 @@
 
 package com.google.common.base;
 
-import com.google.common.annotations.GwtCompatible;
-import com.google.errorprone.annotations.CanIgnoreReturnValue;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Legacy version of {@link java.util.function.Predicate java.util.function.Predicate}. Determines a
@@ -42,9 +39,8 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @since 2.0
  */
 @FunctionalInterface
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
-public interface Predicate<T extends @Nullable Object> extends java.util.function.Predicate<T> {
+public interface Predicate<T extends Object> extends java.util.function.Predicate<T> {
   /**
    * Returns the result of applying this predicate to {@code input} (Java 8 users, see notes in the
    * class documentation above). This method is <i>generally expected</i>, but not absolutely
@@ -60,7 +56,6 @@ public interface Predicate<T extends @Nullable Object> extends java.util.functio
    * @throws NullPointerException if {@code input} is null and this predicate does not accept null
    *     arguments
    */
-  @CanIgnoreReturnValue
   boolean apply(@ParametricNullness T input);
 
   /**
diff --git a/guava/src/com/google/common/base/Predicates.java b/guava/src/com/google/common/base/Predicates.java
index c3b5562..c8a5b1f 100644
--- a/guava/src/com/google/common/base/Predicates.java
+++ b/guava/src/com/google/common/base/Predicates.java
@@ -16,9 +16,6 @@ package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.Beta;
-import com.google.common.annotations.GwtCompatible;
-import com.google.common.annotations.GwtIncompatible;
 import java.io.Serializable;
 import java.util.ArrayList;
 import java.util.Arrays;
@@ -26,7 +23,6 @@ import java.util.Collection;
 import java.util.List;
 import java.util.regex.Pattern;
 import javax.annotation.CheckForNull;
-import org.checkerframework.checker.nullness.qual.Nullable;
 
 /**
  * Static utility methods pertaining to {@code Predicate} instances.
@@ -39,7 +35,6 @@ import org.checkerframework.checker.nullness.qual.Nullable;
  * @author Kevin Bourrillion
  * @since 2.0
  */
-@GwtCompatible(emulated = true)
 @ElementTypesAreNonnullByDefault
 public final class Predicates {
   private Predicates() {}
@@ -48,14 +43,12 @@ public final class Predicates {
   // interface which specifies an accept(PredicateVisitor) method.
 
   /** Returns a predicate that always evaluates to {@code true}. */
-  @GwtCompatible(serializable = true)
-  public static <T extends @Nullable Object> Predicate<T> alwaysTrue() {
+  public static <T extends Object> Predicate<T> alwaysTrue() {
     return ObjectPredicate.ALWAYS_TRUE.withNarrowedType();
   }
 
   /** Returns a predicate that always evaluates to {@code false}. */
-  @GwtCompatible(serializable = true)
-  public static <T extends @Nullable Object> Predicate<T> alwaysFalse() {
+  public static <T extends Object> Predicate<T> alwaysFalse() {
     return ObjectPredicate.ALWAYS_FALSE.withNarrowedType();
   }
 
@@ -63,8 +56,7 @@ public final class Predicates {
    * Returns a predicate that evaluates to {@code true} if the object reference being tested is
    * null.
    */
-  @GwtCompatible(serializable = true)
-  public static <T extends @Nullable Object> Predicate<T> isNull() {
+  public static <T extends Object> Predicate<T> isNull() {
     return ObjectPredicate.IS_NULL.withNarrowedType();
   }
 
@@ -72,8 +64,7 @@ public final class Predicates {
    * Returns a predicate that evaluates to {@code true} if the object reference being tested is not
    * null.
    */
-  @GwtCompatible(serializable = true)
-  public static <T extends @Nullable Object> Predicate<T> notNull() {
+  public static <T extends Object> Predicate<T> notNull() {
     return ObjectPredicate.NOT_NULL.withNarrowedType();
   }
 
@@ -81,7 +72,7 @@ public final class Predicates {
    * Returns a predicate that evaluates to {@code true} if the given predicate evaluates to {@code
    * false}.
    */
-  public static <T extends @Nullable Object> Predicate<T> not(Predicate<T> predicate) {
+  public static <T extends Object> Predicate<T> not(Predicate<T> predicate) {
     return new NotPredicate<T>(predicate);
   }
 
@@ -92,7 +83,7 @@ public final class Predicates {
    * changes to it won't alter the behavior of this predicate. If {@code components} is empty, the
    * returned predicate will always evaluate to {@code true}.
    */
-  public static <T extends @Nullable Object> Predicate<T> and(
+  public static <T extends Object> Predicate<T> and(
       Iterable<? extends Predicate<? super T>> components) {
     return new AndPredicate<T>(defensiveCopy(components));
   }
@@ -105,7 +96,7 @@ public final class Predicates {
    * returned predicate will always evaluate to {@code true}.
    */
   @SafeVarargs
-  public static <T extends @Nullable Object> Predicate<T> and(Predicate<? super T>... components) {
+  public static <T extends Object> Predicate<T> and(Predicate<? super T>... components) {
     return new AndPredicate<T>(defensiveCopy(components));
   }
 
@@ -114,7 +105,7 @@ public final class Predicates {
    * true}. The components are evaluated in order, and evaluation will be "short-circuited" as soon
    * as a false predicate is found.
    */
-  public static <T extends @Nullable Object> Predicate<T> and(
+  public static <T extends Object> Predicate<T> and(
       Predicate<? super T> first, Predicate<? super T> second) {
     return new AndPredicate<T>(Predicates.<T>asList(checkNotNull(first), checkNotNull(second)));
   }
@@ -126,7 +117,7 @@ public final class Predicates {
    * changes to it won't alter the behavior of this predicate. If {@code components} is empty, the
    * returned predicate will always evaluate to {@code false}.
    */
-  public static <T extends @Nullable Object> Predicate<T> or(
+  public static <T extends Object> Predicate<T> or(
       Iterable<? extends Predicate<? super T>> components) {
     return new OrPredicate<T>(defensiveCopy(components));
   }
@@ -139,7 +130,7 @@ public final class Predicates {
    * returned predicate will always evaluate to {@code false}.
    */
   @SafeVarargs
-  public static <T extends @Nullable Object> Predicate<T> or(Predicate<? super T>... components) {
+  public static <T extends Object> Predicate<T> or(Predicate<? super T>... components) {
     return new OrPredicate<T>(defensiveCopy(components));
   }
 
@@ -148,7 +139,7 @@ public final class Predicates {
    * {@code true}. The components are evaluated in order, and evaluation will be "short-circuited"
    * as soon as a true predicate is found.
    */
-  public static <T extends @Nullable Object> Predicate<T> or(
+  public static <T extends Object> Predicate<T> or(
       Predicate<? super T> first, Predicate<? super T> second) {
     return new OrPredicate<T>(Predicates.<T>asList(checkNotNull(first), checkNotNull(second)));
   }
@@ -157,7 +148,7 @@ public final class Predicates {
    * Returns a predicate that evaluates to {@code true} if the object being tested {@code equals()}
    * the given target or both are null.
    */
-  public static <T extends @Nullable Object> Predicate<T> equalTo(@ParametricNullness T target) {
+  public static <T extends Object> Predicate<T> equalTo(@ParametricNullness T target) {
     return (target == null)
         ? Predicates.<T>isNull()
         : new IsEqualToPredicate(target).withNarrowedType();
@@ -176,8 +167,8 @@ public final class Predicates {
    * example, {@code instanceOf(ArrayList.class)} will yield different results for the two equal
    * instances {@code Lists.newArrayList(1)} and {@code Arrays.asList(1)}.
    */
-  @GwtIncompatible // Class.isInstance
-  public static <T extends @Nullable Object> Predicate<T> instanceOf(Class<?> clazz) {
+  // Class.isInstance
+  public static <T extends Object> Predicate<T> instanceOf(Class<?> clazz) {
     return new InstanceOfPredicate<>(clazz);
   }
 
@@ -195,8 +186,7 @@ public final class Predicates {
    *
    * @since 20.0 (since 10.0 under the incorrect name {@code assignableFrom})
    */
-  @GwtIncompatible // Class.isAssignableFrom
-  @Beta
+  // Class.isAssignableFrom
   public static Predicate<Class<?>> subtypeOf(Class<?> clazz) {
     return new SubtypeOfPredicate(clazz);
   }
@@ -212,7 +202,7 @@ public final class Predicates {
    *
    * @param target the collection that may contain the function input
    */
-  public static <T extends @Nullable Object> Predicate<T> in(Collection<? extends T> target) {
+  public static <T extends Object> Predicate<T> in(Collection<? extends T> target) {
     return new InPredicate<T>(target);
   }
 
@@ -222,7 +212,7 @@ public final class Predicates {
    *
    * @return the composition of the provided function and predicate
    */
-  public static <A extends @Nullable Object, B extends @Nullable Object> Predicate<A> compose(
+  public static <A extends Object, B extends Object> Predicate<A> compose(
       Predicate<B> predicate, Function<A, ? extends B> function) {
     return new CompositionPredicate<>(predicate, function);
   }
@@ -235,7 +225,7 @@ public final class Predicates {
    * @throws IllegalArgumentException if the pattern is invalid
    * @since 3.0
    */
-  @GwtIncompatible // Only used by other GWT-incompatible code.
+  // Only used by other GWT-incompatible code.
   public static Predicate<CharSequence> containsPattern(String pattern) {
     return new ContainsPatternFromStringPredicate(pattern);
   }
@@ -247,7 +237,6 @@ public final class Predicates {
    *
    * @since 3.0
    */
-  @GwtIncompatible(value = "java.util.regex.Pattern")
   public static Predicate<CharSequence> contains(Pattern pattern) {
     return new ContainsPatternPredicate(new JdkPattern(pattern));
   }
@@ -255,7 +244,7 @@ public final class Predicates {
   // End public API, begin private implementation classes.
 
   // Package private for GWT serialization.
-  enum ObjectPredicate implements Predicate<@Nullable Object> {
+  enum ObjectPredicate implements Predicate<Object> {
     /** @see Predicates#alwaysTrue() */
     ALWAYS_TRUE {
       @Override
@@ -306,13 +295,13 @@ public final class Predicates {
     };
 
     @SuppressWarnings("unchecked") // safe contravariant cast
-    <T extends @Nullable Object> Predicate<T> withNarrowedType() {
+    <T extends Object> Predicate<T> withNarrowedType() {
       return (Predicate<T>) this;
     }
   }
 
   /** @see Predicates#not(Predicate) */
-  private static class NotPredicate<T extends @Nullable Object>
+  private static class NotPredicate<T extends Object>
       implements Predicate<T>, Serializable {
     final Predicate<T> predicate;
 
@@ -348,7 +337,7 @@ public final class Predicates {
   }
 
   /** @see Predicates#and(Iterable) */
-  private static class AndPredicate<T extends @Nullable Object>
+  private static class AndPredicate<T extends Object>
       implements Predicate<T>, Serializable {
     private final List<? extends Predicate<? super T>> components;
 
@@ -391,7 +380,7 @@ public final class Predicates {
   }
 
   /** @see Predicates#or(Iterable) */
-  private static class OrPredicate<T extends @Nullable Object>
+  private static class OrPredicate<T extends Object>
       implements Predicate<T>, Serializable {
     private final List<? extends Predicate<? super T>> components;
 
@@ -447,7 +436,7 @@ public final class Predicates {
   }
 
   /** @see Predicates#equalTo(Object) */
-  private static class IsEqualToPredicate implements Predicate<@Nullable Object>, Serializable {
+  private static class IsEqualToPredicate implements Predicate<Object>, Serializable {
     private final Object target;
 
     private IsEqualToPredicate(Object target) {
@@ -481,14 +470,14 @@ public final class Predicates {
     private static final long serialVersionUID = 0;
 
     @SuppressWarnings("unchecked") // safe contravariant cast
-    <T extends @Nullable Object> Predicate<T> withNarrowedType() {
+    <T extends Object> Predicate<T> withNarrowedType() {
       return (Predicate<T>) this;
     }
   }
 
   /** @see Predicates#instanceOf(Class) */
-  @GwtIncompatible // Class.isInstance
-  private static class InstanceOfPredicate<T extends @Nullable Object>
+  // Class.isInstance
+  private static class InstanceOfPredicate<T extends Object>
       implements Predicate<T>, Serializable {
     private final Class<?> clazz;
 
@@ -524,7 +513,7 @@ public final class Predicates {
   }
 
   /** @see Predicates#subtypeOf(Class) */
-  @GwtIncompatible // Class.isAssignableFrom
+  // Class.isAssignableFrom
   private static class SubtypeOfPredicate implements Predicate<Class<?>>, Serializable {
     private final Class<?> clazz;
 
@@ -560,7 +549,7 @@ public final class Predicates {
   }
 
   /** @see Predicates#in(Collection) */
-  private static class InPredicate<T extends @Nullable Object>
+  private static class InPredicate<T extends Object>
       implements Predicate<T>, Serializable {
     private final Collection<?> target;
 
@@ -600,7 +589,7 @@ public final class Predicates {
   }
 
   /** @see Predicates#compose(Predicate, Function) */
-  private static class CompositionPredicate<A extends @Nullable Object, B extends @Nullable Object>
+  private static class CompositionPredicate<A extends Object, B extends Object>
       implements Predicate<A>, Serializable {
     final Predicate<B> p;
     final Function<A, ? extends B> f;
@@ -639,7 +628,7 @@ public final class Predicates {
   }
 
   /** @see Predicates#contains(Pattern) */
-  @GwtIncompatible // Only used by other GWT-incompatible code.
+  // Only used by other GWT-incompatible code.
   private static class ContainsPatternPredicate implements Predicate<CharSequence>, Serializable {
     final CommonPattern pattern;
 
@@ -687,7 +676,7 @@ public final class Predicates {
   }
 
   /** @see Predicates#containsPattern(String) */
-  @GwtIncompatible // Only used by other GWT-incompatible code.
+  // Only used by other GWT-incompatible code.
   private static class ContainsPatternFromStringPredicate extends ContainsPatternPredicate {
 
     ContainsPatternFromStringPredicate(String string) {
@@ -702,7 +691,7 @@ public final class Predicates {
     private static final long serialVersionUID = 0;
   }
 
-  private static <T extends @Nullable Object> List<Predicate<? super T>> asList(
+  private static <T extends Object> List<Predicate<? super T>> asList(
       Predicate<? super T> first, Predicate<? super T> second) {
     // TODO(kevinb): understand why we still get a warning despite @SafeVarargs!
     return Arrays.<Predicate<? super T>>asList(first, second);
diff --git a/guava/src/com/google/common/base/Present.java b/guava/src/com/google/common/base/Present.java
index 59efebc..35d951e 100644
--- a/guava/src/com/google/common/base/Present.java
+++ b/guava/src/com/google/common/base/Present.java
@@ -16,13 +16,11 @@ package com.google.common.base;
 
 import static com.google.common.base.Preconditions.checkNotNull;
 
-import com.google.common.annotations.GwtCompatible;
 import java.util.Collections;
 import java.util.Set;
 import javax.annotation.CheckForNull;
 
 /** Implementation of an {@link Optional} containing a reference. */
-@GwtCompatible
 @ElementTypesAreNonnullByDefault
 final class Present<T> extends Optional<T> {
   private final T reference;
